package com.bzd.system.service.hygl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 权益管理 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglEquitiesService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglEquities(PageData pd)throws Exception {
        return daoSupport.update("SHyglEquitiesMapper.addSHyglEquities", pd);
    }

    public List<PageData> findSHyglEquitiesList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglEquitiesMapper.selectSHyglEquitiesList", pd);
    }

    public Integer SHyglEquitiesRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglEquitiesMapper.SHyglEquitiesRemove", pd);
    }


    public Integer updateSHyglEquities(PageData pd)throws Exception {
        return daoSupport.update("SHyglEquitiesMapper.updateSHyglEquities", pd);
    }

}
